clang 10.0.0git

Classes | Enumerations
clang::tooling::dependencies Namespace Reference

## Classes
class | CachedFileSystemEntry
| An in-memory representation of a file system entity that is of interest to the dependency scanning filesystem. More...
class | DependencyConsumer
class | DependencyScanningFilesystemSharedCache
| This class is a shared cache, that caches the 'stat' and 'open' calls to the underlying real file system. More...
class | DependencyScanningService
| The dependency scanning service contains the shared state that is used by the invidual dependency scanning workers. More...
class | DependencyScanningTool
| The high-level implementation of the dependency discovery tool that runs on an individual worker thread. More...
class | DependencyScanningWorker
| An individual dependency scanning worker that is able to run on its own thread. More...
class | DependencyScanningWorkerFilesystem
| A virtual file system optimized for the dependency discovery. More...
class | ModuleDepCollector
class | ModuleDepCollectorPP
struct | ModuleDeps

## Enumerations
enum | ScanningMode { ScanningMode::CanonicalPreprocessing, ScanningMode::MinimizedSourcePreprocessing }
| The mode in which the dependency scanner will operate to find the dependencies. More...
enum | ScanningOutputFormat { ScanningOutputFormat::Make, ScanningOutputFormat::Full }
| The format that is output by the dependency scanner. More...

## Enumeration Type Documentation

## ◆ ScanningMode

enum clang::tooling::dependencies::ScanningMode
| strong

The mode in which the dependency scanner will operate to find the dependencies.

Enumerator
CanonicalPreprocessing | This mode is used to compute the dependencies by running the preprocessor over the unmodified source files.
MinimizedSourcePreprocessing | This mode is used to compute the dependencies by running the preprocessor over the source files that have been minimized to contents that might affect the dependencies.

Definition at line 20 of file DependencyScanningService.h.

## ◆ ScanningOutputFormat

enum clang::tooling::dependencies::ScanningOutputFormat
| strong

The format that is output by the dependency scanner.

Enumerator
Make | This is the Makefile compatible dep format. This will include all of the deps necessary for an implicit modules build, but won't include any intermodule dependency information.
Full | This outputs the full module dependency graph suitable for use for explicitly building modules.

Definition at line 34 of file DependencyScanningService.h.